Delete an MFA device
Permanently removes an MFA device from the authenticated user account.
DELETE
/
sdk
/
{environmentId}
/
users
/
mfa
/
{mfaDeviceId}
Delete a device (if not default device)
curl --request DELETE \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/users/mfa/{mfaDeviceId} \
--header 'Authorization: Bearer <token>' \
--header 'x-mfa-auth-token: <x-mfa-auth-token>'import requests
url = "https://app.dynamicauth.com/api/v0/sdk/{environmentId}/users/mfa/{mfaDeviceId}"
headers = {
"x-mfa-auth-token": "<x-mfa-auth-token>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-mfa-auth-token': '<x-mfa-auth-token>', Authorization: 'Bearer <token>'}
};
fetch('https://app.dynamicauth.com/api/v0/sdk/{environmentId}/users/mfa/{mfaDeviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}{
"error": "No jwt provided!"
}{
"error": "Not Found",
"code": "not_found"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
MFA authentication token
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
ID of the MFA Device
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
Empty response
Last modified on January 21, 2026
Was this page helpful?
⌘I
Delete a device (if not default device)
